Bug 191195 - GTK themes with multiple parts only install first part
GTK themes with multiple parts only install first part
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 14:12 EDT by Alan Olsen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-04 17:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 409624 None None None Never

  None (edit)
Description Alan Olsen 2006-05-09 14:12:56 EDT
Description of problem:
If you try to drag and drop a gtk theme tarball onto the theme manager that
contains more than one theme, only the first theme is installed.

Version-Release number of selected component (if applicable):
2.14.1-1.fc5.2


How reproducible:
Always

Steps to Reproduce:
1. Download
http://art.gnome.org/download/themes/gtk2/213/GTK2-H2O-default-2.0.tar.gz
2. Drag to theme-manager
3. Only the first theme installs. (I have reproduced this with multiple themes.)
  
Actual results:
One theme installs.

Expected results:
All themes in tarball should install.

Additional info:
Pretty straightforward bug.  Not a showstopper, but a bit of a annoyance.
Comment 1 Bastien Nocera 2007-02-19 09:35:03 EST
The whole of gnome-theme-installer.c seems to think that there will be only one
sub-directory in the extracted archive...

Filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=409624
Comment 2 Bastien Nocera 2007-04-04 17:23:02 EDT
Best taken care of upstream, and not really a huge bug, so closing as "UPSTREAM".

Note You need to log in before you can comment on or make changes to this bug.